<?php

namespace App\Models\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class State extends Model
{
    use HasFactory;
    protected $table = 'states';
    protected $fillable = [
        'name',
    ];

    public function getCountryName()
    {
        return $this->belongsTo(Country::class, 'country_xid', 'id');
    }
}
